BroadNet
SIGTRANAdaptación

Capas de adaptación M2PA y SUA

Actualizado el 3 min de lecturaBasado en estándares
Respuesta directa

M2PA (RFC 4165) y SUA (RFC 3868) son capas de adaptación de SIGTRAN para puntos de migración distintos. M2PA reemplaza MTP2, dando un enlace IP sobre el que se ejecuta un MTP3 completo, usado para construir enlaces STP basados en IP. SUA reemplaza el SCCP por completo, transportando usuarios de SCCP como TCAP/MAP directamente sobre SCTP sin MTP3 ni M3UA.

§01

M2PA: MTP2 sobre IP

M2PA (MTP2 Peer-to-Peer Adaptation, RFC 4165) presenta un enlace equivalente a MTP2 sobre SCTP. Como reemplaza solo MTP2, los puntos finales aún ejecutan un MTP3 completo por encima: se comportan como puntos de señalización SS7 ordinarios con point codes, realizando el enrutamiento y la gestión de red de MTP3. Por tanto, M2PA se usa para construir enlaces de señalización basados en IP entre STP (o entre un STP y un punto de señalización), en la práctica un reemplazo totalmente IP de un enlace TDM A/B/C/D en lugar de una topología pasarela-a-servidor-de-aplicación.

§02

M2PA frente a M2UA

M2PA y M2UA se sitúan ambos en el nivel MTP2 pero hacen trabajos muy distintos. M2PA es de igual a igual: ambos extremos ejecutan MTP3 y el enlace es un verdadero enlace de señalización SS7 sobre IP. M2UA es de backhaul: transporta MTP2 desde una pasarela de señalización hasta un Media Gateway Controller ubicado por separado que aloja MTP3 y superiores, usando una Nodal Interworking Function. Confundir ambos es una fuente común de errores de diseño.

M2PA frente a M2UA
AspectoM2PA (RFC 4165)M2UA (RFC 3331)
ModeloPeer-to-peerBackhaul (SG ↔ MGC)
Ubicación MTP3En ambos extremosSolo en el controlador remoto
Códigos de puntoAmbos extremos tienen unoLa pasarela retransmite al controlador
Uso típicoEnlaces STP basados en IPSeparación distribuida entre pasarela y controlador
§03

SUA: adaptación de usuario de SCCP

SUA (SCCP-User Adaptation, RFC 3868) transporta usuarios de SCCP —principalmente TCAP y, por tanto, MAP— directamente sobre SCTP, reemplazando el propio SCCP. Un nodo SUA direcciona a sus pares usando direccionamiento de estilo SCCP (global titles, SSN) pero no necesita ni MTP3 ni M3UA debajo. Esto es eficiente cuando los puntos finales son usuarios de SCCP nativos de IP, como un HLR/HSS o SMSC basado en IP que habla con una pasarela de señalización que realiza la traducción de global title en su nombre.

§04

SUA y los modos de conexión

SUA admite ambos tipos de servicio de SCCP. El servicio sin conexión (clases SCCP 0/1) transporta la gran mayoría del tráfico MAP/TCAP —enrutamiento de SMS, itinerancia— como mensajes autocontenidos. El servicio con conexión (clases SCCP 2/3) está disponible para las aplicaciones que necesitan una conexión de señalización. SUA puede interfuncionar con SCCP en una pasarela: un nodo SUA IP en un lado y un par SCCP TDM en el otro intercambian los mismos mensajes de aplicación TCAP/MAP de forma transparente.

Dónde corta la pila cada capa de adaptación
Capa reemplazadaAdaptaciónCapas superiores
MTP2M2PAMTP3 completo + SCCP + TCAP
MTP3M3UASCCP + TCAP
SCCPSUATCAP / MAP directamente
Preguntas frecuentes

Preguntas frecuentes

¿Cuál es la diferencia entre M2PA y M3UA?

M2PA reemplaza MTP2, así que ambos puntos finales aún ejecutan un MTP3 completo y actúan como puntos de señalización ordinarios: construye enlaces STP basados en IP. M3UA reemplaza MTP3, conectando servidores de aplicación con una pasarela de señalización. M2PA corta la pila una capa más abajo que M3UA.

¿Cuándo usaría SUA en lugar de M3UA?

Usa SUA cuando tus puntos finales IP sean usuarios de SCCP (TCAP/MAP) que no necesitan MTP3, por ejemplo un HLR o SMSC nativo de IP. SUA transporta el usuario de SCCP directamente sobre SCTP y omite MTP3/M3UA. Usa M3UA cuando necesites preservar el servicio de MTP3 para SCCP e ISUP.

¿Cuál es la diferencia entre M2PA y M2UA?

M2PA es de igual a igual: ambos extremos ejecutan MTP3 sobre un enlace de señalización IP. M2UA es de backhaul: una pasarela de señalización transporta MTP2 hasta un Media Gateway Controller remoto que aloja MTP3. M2PA construye enlaces SS7; M2UA separa una pasarela de su controlador.

¿SUA usa global titles?

Sí. SUA preserva el direccionamiento de estilo SCCP —global titles y subsystem numbers— para que las aplicaciones direccionen a sus pares igual que lo harían sobre SCCP. Una pasarela puede realizar la traducción de global title e interfuncionar SUA con SCCP clásico de forma transparente.

¿Es M2PA un reemplazo de los enlaces SS7 TDM?

En la práctica sí. Como M2PA presenta un enlace equivalente a MTP2 con un MTP3 completo por encima, un enlace M2PA sobre IP puede reemplazar un enlace TDM A/B/C/D entre puntos de señalización, permitiendo a los operadores construir interconexiones STP totalmente IP conservando el enrutamiento MTP3 estándar.

Referencias

Especificaciones de la fuente

Las normas publicadas en las que se basa esta página. Se abre en una pestaña nueva.

BNMantenido por el equipo de ingeniería BroadNet·Mensajería de nivel empresarial desde 2003.
Colócalo en el cable

Desarrollado con un enlace SMPP real y una API REST.

Solicita acceso de prueba con claves de prueba reales: primero envía a tu propio número verificado y, una vez aprobada tu identidad de remitente y las rutas, pasa a producción en más de 200 países.